Logoelepay
Code

Create EasyQR code

EasyQRコードを作成します。

POST
/codes

Authorization

AuthorizationBearer <token>

API呼出すの認証は、秘密鍵を認証トークンとして扱い、Bearer 認証経由で行われます。 秘密鍵は、全ての API リクエスト操作が可能となる重要なキーなので、取扱いにご注意ください。

In: header

Request Body

application/json;charset=utf-8

EasyQRコードリクエスト

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json;charset=utf-8

curl -X POST "https://api.elepay.io/codes" \  -H "Content-Type: application/json;charset=utf-8" \  -d '<amount>0</amount>  <orderNo>string</orderNo>'
{
  "id": "string",
  "object": "code",
  "liveMode": true,
  "codeUrl": "string",
  "amount": 0,
  "currency": "JPY",
  "orderNo": "string",
  "description": "string",
  "extra": {
    "property1": "string",
    "property2": "string"
  },
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "status": "pending",
  "charge": {
    "id": "string",
    "appId": "string",
    "object": "charge",
    "liveMode": true,
    "amount": 0,
    "authorizeAmount": 0,
    "currency": "JPY",
    "authorize": true,
    "paymentMethod": "alipay",
    "resource": "web",
    "orderNo": "string",
    "description": "string",
    "location": {
      "id": "string",
      "name": {
        "kanji": "string",
        "kana": "string",
        "romaji": "string"
      },
      "tel": "string",
      "zip": "string",
      "address": {
        "kanji": {
          "pref": "string",
          "city": "string",
          "town": "string",
          "address1": "string",
          "address2": "string"
        },
        "kana": {
          "pref": "string",
          "city": "string",
          "town": "string",
          "address1": "string",
          "address2": "string"
        },
        "romaji": {
          "pref": "string",
          "city": "string",
          "town": "string",
          "address1": "string",
          "address2": "string"
        }
      },
      "latitude": 0.1,
      "longitude": 0.1,
      "note": "string",
      "status": "active"
    },
    "extra": {
      "property1": "string",
      "property2": "string"
    },
    "metadata": {
      "property1": "string",
      "property2": "string"
    },
    "cardInfo": {
      "brand": "string",
      "last4": "string",
      "expMonth": 0,
      "expYear": 0,
      "name": "string",
      "issuerCode": "string",
      "issuerName": "string",
      "wallet": "string",
      "walletApp": "string",
      "repaymentType": "string",
      "approvalCode": "string",
      "threeDSecure": true,
      "threeDSecureVersion": "string",
      "threeDSecureDetail": "string",
      "businessType": "string",
      "konbiniScanTime": 0,
      "konbiniType": "string",
      "receivedAmount": 0,
      "receivedTime": 0,
      "bankUserCode": "string",
      "bankUserName": "string",
      "bankName": "string",
      "bankBranchName": "string",
      "bankAccountNo": "string",
      "billingNo": "string"
    },
    "voucherNo": "string",
    "clientIp": "string",
    "paid": true,
    "refunded": true,
    "disputed": true,
    "refunds": {
      "amount": 0,
      "totalCount": 0,
      "data": [
        {
          "id": "string",
          "object": "refund",
          "chargeId": "string",
          "liveMode": true,
          "amount": 0,
          "currency": "str",
          "metadata": {
            "property1": "string",
            "property2": "string"
          },
          "reason": "string",
          "status": "pending",
          "refundedTime": 0,
          "createTime": 0
        }
      ]
    },
    "status": "pending",
    "codeContent": "string",
    "credential": "string",
    "paidTime": 0,
    "refundTime": 0,
    "expiryTime": 0,
    "settleTime": 0,
    "createTime": 0
  },
  "customer": {
    "id": "string",
    "object": "customer",
    "liveMode": true,
    "defaultSource": "string",
    "name": "string",
    "description": "string",
    "email": "string",
    "phone": "string",
    "remark": "string",
    "operator": "string",
    "status": "active",
    "metadata": {
      "property1": "string",
      "property2": "string"
    },
    "updateTime": 0
  },
  "source": {
    "id": "string",
    "object": "source",
    "liveMode": true,
    "paymentMethod": "alipay",
    "resource": "web",
    "description": "string",
    "extra": {
      "property1": "string",
      "property2": "string"
    },
    "info": {
      "property1": {},
      "property2": {}
    },
    "cardInfo": {
      "brand": "string",
      "last4": "string",
      "expMonth": 0,
      "expYear": 0,
      "name": "string",
      "issuerCode": "string",
      "issuerName": "string",
      "wallet": "string",
      "walletApp": "string",
      "repaymentType": "string",
      "approvalCode": "string",
      "threeDSecure": true,
      "threeDSecureVersion": "string",
      "threeDSecureDetail": "string",
      "businessType": "string",
      "konbiniScanTime": 0,
      "konbiniType": "string",
      "receivedAmount": 0,
      "receivedTime": 0,
      "bankUserCode": "string",
      "bankUserName": "string",
      "bankName": "string",
      "bankBranchName": "string",
      "bankAccountNo": "string",
      "billingNo": "string"
    },
    "metadata": {
      "property1": "string",
      "property2": "string"
    },
    "credential": "string",
    "status": "pending"
  },
  "frontUrl": "string",
  "items": [
    {
      "name": "string",
      "image": "string",
      "price": 0,
      "count": 0
    }
  ],
  "locationId": "string",
  "expired": true,
  "expiryTime": 0,
  "expiryPeriod": 0,
  "createTime": 0,
  "shouldCreateSource": true,
  "activeSources": [
    {
      "id": "string",
      "object": "source",
      "liveMode": true,
      "paymentMethod": "alipay",
      "resource": "web",
      "description": "string",
      "extra": {
        "property1": "string",
        "property2": "string"
      },
      "info": {
        "property1": {},
        "property2": {}
      },
      "cardInfo": {
        "brand": "string",
        "last4": "string",
        "expMonth": 0,
        "expYear": 0,
        "name": "string",
        "issuerCode": "string",
        "issuerName": "string",
        "wallet": "string",
        "walletApp": "string",
        "repaymentType": "string",
        "approvalCode": "string",
        "threeDSecure": true,
        "threeDSecureVersion": "string",
        "threeDSecureDetail": "string",
        "businessType": "string",
        "konbiniScanTime": 0,
        "konbiniType": "string",
        "receivedAmount": 0,
        "receivedTime": 0,
        "bankUserCode": "string",
        "bankUserName": "string",
        "bankName": "string",
        "bankBranchName": "string",
        "bankAccountNo": "string",
        "billingNo": "string"
      },
      "metadata": {
        "property1": "string",
        "property2": "string"
      },
      "credential": "string",
      "status": "pending"
    }
  ],
  "invoice": {
    "id": "string",
    "object": "invoice",
    "liveMode": true,
    "customer": {
      "id": "string",
      "object": "customer",
      "liveMode": true,
      "defaultSource": "string",
      "name": "string",
      "description": "string",
      "email": "string",
      "phone": "string",
      "remark": "string",
      "operator": "string",
      "status": "active",
      "metadata": {
        "property1": "string",
        "property2": "string"
      },
      "updateTime": 0
    },
    "invoiceNo": "string",
    "name": "string",
    "memo": "string",
    "amount": 0,
    "currency": "JPY",
    "status": "draft",
    "operator": "string",
    "invoiceTime": 0,
    "sendTime": 0,
    "paidTime": 0,
    "expiryTime": 0,
    "createTime": 0,
    "fields": [
      "string"
    ],
    "items": [
      {
        "id": "string",
        "object": "invoiceItem",
        "name": "string",
        "unitPrice": 0,
        "currency": "JPY",
        "quantity": 0,
        "unit": "string",
        "taxRateType": "standard",
        "transactionTime": 0
      }
    ],
    "remark": "string",
    "metadata": {
      "property1": "string",
      "property2": "string"
    },
    "enableAutoCharge": true
  }
}